<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>分析圖表</title>
    <link rel="stylesheet" href="{{ url_for('static' , filename = '/css/style.css') }}">
    <script src="{{ url_for('static' , filename = '/js/jquery-3.6.0.min.js')}}"></script>
    <script src="{{ url_for('static' , filename = '/js/echarts.min.js')}}"></script>
    <script src="{{ url_for('static' , filename = '/js/moment.min.js') }}"></script>
    <script src="{{ url_for('static' , filename = '/js/jquery-ui/jquery-ui.min.js') }}"></script>
    <link rel="stylesheet" href="{{ url_for('static' , filename = '/js/jquery-ui/jquery-ui.min.css')}}">
    
    <style type="text/css">
        body {
            margin: 0;
            padding: 0;
            background: #151515;
        }

        .chart-content {
            position: fixed;
            width: 100%;
            bottom: 0rem;
            top: 0;
        }

        .chart-view {
            height: 100%;
            width: 100%;
        }

        .floating-container {
            position: fixed;
            top: 50px;
            left: 50px;
            padding: 20px;
            z-index: 9999;
            background-color: #3c3c3c;
        }

        .floating-content {
            width: 200px;
            height: 200px;
            background-color: #3c3c3c;
            border: 1px solid #cccccc;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
            overflow: visible;
        }

        .time-container {
            position: fixed;
            top: 80%;
            left: 50%;
            padding: 20px;
            background-color: #3c3c3c;
        }

        .strategy-container {
            position: fixed;
            width: auto;
            height: auto;
            top: 60%;
            left: 30%;
            border: 2px solid white;
            padding: 20px;
            background-color: #3c3c3c;
        }


        .trade-container {
            position: fixed;
            top: 60%;
            left: 50px;
            padding: 20px;
            background-color: #3c3c3c;
        }

        .detail-container {
            position: fixed;
            top: 5%;
            left: 55%;
            height: 80%;
            padding: 20px;
            overflow: auto;
            background-color: #3c3c3c;
        }

        .move-content {
            height: 5px;
            width: 200px;
            margin: 0 auto;
            background-color: gray;
            cursor: move;
        }

        .detail-table {
            color: white;
            border-collapse: collapse;
        }

        .detail-table td {
            border: 2px solid white;
        }

    </style>
</head>

<body>
    <br>
    <div class="chart-content">
        <div id="chartView" class="chart-view">
            <h3 style='color: white'>Loading Data ...</h3>
        </div>
    </div>
    <script src="{{ url_for('static' , filename = '/app/util/chart-util.js')}}"></script>
    <script src="{{ url_for('static' , filename = '/app/util/calc-util.js')}}"></script>
    <script src="{{ url_for('static' , filename = '/app/chart/chart-view.js')}}"></script>
    <script src="{{ url_for('static' , filename = '/app/chart/chart-ajax.js')}}"></script>
    
    <script type=text/javascript>
        $(function() {
            var initPage = function() {
                var search = window.location.search;
                var params = new URLSearchParams(search);
                var title = params.get('title');
                var stockCode = params.get('stockCode');
                var stockInterval = params.get('stockInterval');
                var startDate = params.get('startDate');
                var startTime = params.get('startTime')
                var endDate = params.get('endDate');
                var endTime = params.get('endTime');

                $('title').text(title);

                var stockInfo = {
                    code: stockCode,
                    start: startDate + " " + startTime + ":00",
                    end: endDate + " " + endTime + ":00",
                    interval: stockInterval
                }

                var view = chartView.init();
                var ajax = chartAjax.init();

                ajax.queryStockData(stockInfo, {
                    callBack: function(data) {
                        view.setStockData(stockInfo); // 載入基本資訊
                        var lstData = view.leaveBlankData(15 , data.data) // 輔助觀察數據
                        var MA = view.calMAData(lstData); // MA1 趨勢線
                        var chartConfig = view.buildChartConfig(lstData, MA);
                        view.initChartView(chartConfig);
                    }
                });
            }
            initPage();
        });

    </script>
</body>

</html>
